/*========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM SDK, Java(tm) Technology Edition, v6
 * (C) Copyright IBM Corp. 2002, 2007. All Rights Reserved
 *
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 *========================================================================
 */
/*
 * @(#)DocAttribute.java	1.5 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */


package javax.print.attribute;

/**
 * Interface DocAttribute is a tagging interface which a printing attribute 
 * class implements to indicate the attribute denotes a setting for a doc. 
 * ("Doc" is a short, easy-to-pronounce term that means "a piece of print 
 * data.") The client may include a DocAttribute in a <code>Doc</code>'s
 * attribute set to specify a characteristic of 
 * that doc. If an attribute implements {@link PrintRequestAttribute 
 * PrintRequestAttribute} as well as DocAttribute, the client may include the 
 * attribute in a attribute set which specifies a print job
 * to specify a characteristic for all the docs in that job. 
 * <P>
 *
 * @see DocAttributeSet
 * @see PrintRequestAttributeSet
 *
 * @author  Alan Kaminsky
 */
public interface DocAttribute extends Attribute {

}
